<nz-spin [nzSpinning]="isLoading">
  <form [formGroup]="form" (submit)="create()" nz-form style="margin-top: 10px">

    <div nz-row nzGutter="12" style="text-align: center; margin-bottom: 10px;">
      <div nz-col nzXs="24" nzSm="24" nzMd="12">
        {{ "Economy.Market.CurrencyToBuy" | translate }}:
      </div>
      <div nz-col nzXs="24" nzSm="24" nzMd="12">
        <img [src]="buyCurrency.flagLocation" width="20" height="20" />
        {{ buyCurrency.symbol | translate }}
      </div>
    </div>

    <div nz-row nzGutter="12" style="text-align: center; margin-bottom: 10px;">
      <div nz-col nzXs="24" nzSm="24" nzMd="12">
        {{ "Economy.Market.CurrencyToSell" | translate }}:
      </div>
      <div nz-col nzXs="24" nzSm="24" nzMd="12">
        <img [src]="sellCurrency.flagLocation" width="20" height="20" />
        {{ sellCurrency.symbol | translate }}
      </div>
    </div>

    <div nz-row nzGutter="12" style="text-align: center; margin-bottom: 10px;">
      <div nz-col nzXs="24" nzSm="24" nzMd="12" style="padding-top: 6px">
        {{ "Common.Amount" | translate }}:
      </div>
      <div nz-col nzXs="24" nzSm="24" nzMd="12">
        <input nz-input formControlName="amount" placeholder="{{ 'Common.Amount' | translate }}" type="number" />
      </div>
    </div>

    <div nz-row nzGutter="12" style="text-align: center; margin-bottom: 10px;">
      <div nz-col nzXs="24" nzSm="24" nzMd="12" style="padding-top: 6px">
        {{ "Economy.Market.CurrencyToSell" | translate }}:
      </div>
      <div nz-col nzXs="24" nzSm="24" nzMd="12">
        <input nz-input formControlName="rate" placeholder="{{ 'Economy.Rate' | translate }}" type="number" />
      </div>
    </div>

    <nz-divider></nz-divider>

    <div style="text-align: center;">
      <button nz-button nzShape="round" nzType="primary" type="submit" [disabled]="!form['valid']">
        {{ "Common.Buttons.Create" | translate }}
      </button>
    </div>
  </form>
</nz-spin>
